# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`cni`](#cni): Install Container Network Interface software
* [`cni::plugins`](#cni--plugins): Install CNI reference plugins
* [`cni::plugins::dhcp`](#cni--plugins--dhcp): Install and enable the cni-dhcp service
* [`cni::plugins::dhcp::service`](#cni--plugins--dhcp--service): Enables the the cni-dhcp service
* [`cni::plugins::install`](#cni--plugins--install): private class

### Defined types

* [`cni::plugins::enable`](#cni--plugins--enable): Enable a CNI plugin binary

## Classes

### <a name="cni"></a>`cni`

Install Container Network Interface software

#### Parameters

The following parameters are available in the `cni` class:

* [`base_path`](#-cni--base_path)

##### <a name="-cni--base_path"></a>`base_path`

Data type: `Stdlib::Absolutepath`

Base path under which to install software.

Default value: `'/opt/cni'`

### <a name="cni--plugins"></a>`cni::plugins`

Install CNI reference plugins

#### Parameters

The following parameters are available in the `cni::plugins` class:

* [`version`](#-cni--plugins--version)
* [`checksum`](#-cni--plugins--checksum)
* [`checksum_type`](#-cni--plugins--checksum_type)
* [`enable`](#-cni--plugins--enable)

##### <a name="-cni--plugins--version"></a>`version`

Data type: `String`

CNI plugins release version

Default value: `'0.8.5'`

##### <a name="-cni--plugins--checksum"></a>`checksum`

Data type: `String`

Release tarball checksum string

Default value: `'bd682ffcf701e8f83283cdff7281aad0c83b02a56084d6e601216210732833f9'`

##### <a name="-cni--plugins--checksum_type"></a>`checksum_type`

Data type: `String`

The digest algorithm used for the checksum string.

Default value: `'sha256'`

##### <a name="-cni--plugins--enable"></a>`enable`

Data type: `Optional[Array[String]]`

Create a symlink from the CNI bin install path to the plugin binary.

Default value: `undef`

### <a name="cni--plugins--dhcp"></a>`cni::plugins::dhcp`

Install and enable the cni-dhcp service

### <a name="cni--plugins--dhcp--service"></a>`cni::plugins::dhcp::service`

Installs the cni-dhcp systemd service and enables it to start on boot.

Explicit inclusion of this class is not necessary when using the
cni::plugins::dhcp class.

This class is intended to be included directly only when it is desirable to enable
the cni-dhcp service without managing the installation of the cni plugin
binaries.

### <a name="cni--plugins--install"></a>`cni::plugins::install`

private class

## Defined types

### <a name="cni--plugins--enable"></a>`cni::plugins::enable`

Enable a CNI plugin binary

#### Examples

##### cni::plugins::enable { 'macvlan': }

```puppet

```

